Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTextProperty Class Reference

`#include <vtkTextProperty.h>`

Inheritance diagram for vtkTextProperty:

[legend]
Collaboration diagram for vtkTextProperty:

[legend]
List of all members.

## Detailed Description

represent text properties.

Date:
  2002/07/23 19:24:35

Revision:
  1.5

vtkTextProperty is an object that represents text properties. The primary properties that can be set are color, opacity, font size, font family horizontal and vertical justification, bold/italic/shadow styles.

See also:
  vtkTextMapper vtkTextActor vtkLegendBoxActor vtkCaptionActor2D

Created by:
  - Barre, Sebastien

CVS contributions (if > 5%):
  - Barre, Sebastien (100%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkTextProperty.cxx)`
  - .`h` (`/Rendering/vtkTextProperty.h)`

Examples:
  vtkTextProperty (Examples)

Tests:
  vtkTextProperty (Tests)

Definition at line 52 of file vtkTextProperty.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | ShallowCopy (vtkTextProperty *tprop)
virtual void | SetColor (float, float, float)
virtual void | SetColor (float[3])
virtual float * | GetColor ()
virtual void | GetColor (float data[3])
virtual void | SetOpacity (float)
virtual float | GetOpacity ()
virtual void | SetFontFamily (int)
virtual int | GetFontFamily ()
void | SetFontFamilyToArial ()
void | SetFontFamilyToCourier ()
void | SetFontFamilyToTimes ()
char * | GetFontFamilyAsString ()
virtual void | SetFontSize (int)
virtual int | GetFontSize ()
virtual void | SetBold (int)
virtual int | GetBold ()
virtual void | BoldOn ()
virtual void | BoldOff ()
virtual void | SetItalic (int)
virtual int | GetItalic ()
virtual void | ItalicOn ()
virtual void | ItalicOff ()
virtual void | SetShadow (int)
virtual int | GetShadow ()
virtual void | ShadowOn ()
virtual void | ShadowOff ()
virtual void | SetAntiAliasing (int)
virtual int | GetAntiAliasing ()
virtual void | AntiAliasingOn ()
virtual void | AntiAliasingOff ()
virtual void | SetJustification (int)
virtual int | GetJustification ()
void | SetJustificationToLeft ()
void | SetJustificationToCentered ()
void | SetJustificationToRight ()
char * | GetJustificationAsString ()
virtual void | SetVerticalJustification (int)
virtual int | GetVerticalJustification ()
void | SetVerticalJustificationToBottom ()
void | SetVerticalJustificationToCentered ()
void | SetVerticalJustificationToTop ()
char * | GetVerticalJustificationAsString ()
virtual void | SetLineOffset (float)
virtual float | GetLineOffset ()
virtual void | SetLineSpacing (float)
virtual float | GetLineSpacing ()
void | SetFaceFileName (const char *)
virtual char * | GetFaceFileName ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkTextProperty * | SafeDownCast (vtkObject *o)
vtkTextProperty * | New ()
int | GetGlobalAntiAliasing ()
void | SetGlobalAntiAliasing (int val)
void | SetGlobalAntiAliasingToSome ()
void | SetGlobalAntiAliasingToNone ()
void | SetGlobalAntiAliasingToAll ()
## Protected Methods
| vtkTextProperty ()
| ~vtkTextProperty ()
## Protected Attributes
float | Color [3]
float | Opacity
int | FontFamily
int | FontSize
int | Bold
int | Italic
int | Shadow
int | AntiAliasing
int | Justification
int | VerticalJustification
float | LineOffset
float | LineSpacing
char * | FaceFileName

## Member Typedef Documentation

typedef vtkObject vtkTextProperty::Superclass

| Reimplemented from vtkObject. Definition at line 55 of file vtkTextProperty.h.

## Constructor & Destructor Documentation

vtkTextProperty::vtkTextProperty | ( |  | ) | `[protected]`

vtkTextProperty::~vtkTextProperty | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkTextProperty::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkTextProperty::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkTextProperty::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkTextProperty* vtkTextProperty::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkTextProperty::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

vtkTextProperty* vtkTextProperty::New | ( |  | ) | `[static]`

| Creates a new text property with font size 12, bold off, italic off, and Arial font. Reimplemented from vtkObject.

virtual void vtkTextProperty::SetColor | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the color of the text..

virtual void vtkTextProperty::SetColor | ( | float | [3] | ) | `[virtual]`

| Set the color of the text..

virtual float* vtkTextProperty::GetColor | ( |  | ) | `[virtual]`

| Set the color of the text..

virtual void vtkTextProperty::GetColor | ( | float | data[3] | ) | `[virtual]`

| Set the color of the text..

virtual void vtkTextProperty::SetOpacity | ( | float |  | ) | `[virtual]`

| Set/Get the text's opacity. 1.0 is totally opaque and 0.0 is completely transparent.

virtual float vtkTextProperty::GetOpacity | ( |  | ) | `[virtual]`

| Set/Get the text's opacity. 1.0 is totally opaque and 0.0 is completely transparent.

virtual void vtkTextProperty::SetFontFamily | ( | int |  | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES).

virtual int vtkTextProperty::GetFontFamily | ( |  | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES).

void vtkTextProperty::SetFontFamilyToArial | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Definition at line 80 of file vtkTextProperty.h. References VTK_ARIAL.

void vtkTextProperty::SetFontFamilyToCourier | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Definition at line 81 of file vtkTextProperty.h. References VTK_COURIER.

void vtkTextProperty::SetFontFamilyToTimes | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Definition at line 82 of file vtkTextProperty.h. References VTK_TIMES.

char * vtkTextProperty::GetFontFamilyAsString | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Definition at line 207 of file vtkTextProperty.h. References FontFamily, VTK_ARIAL, VTK_COURIER, and VTK_TIMES.

virtual void vtkTextProperty::SetFontSize | ( | int |  | ) | `[virtual]`

| Set/Get the font size.

virtual int vtkTextProperty::GetFontSize | ( |  | ) | `[virtual]`

| Set/Get the font size.

virtual void vtkTextProperty::SetBold | ( | int |  | ) | `[virtual]`

| Enable/disable text bolding.

virtual int vtkTextProperty::GetBold | ( |  | ) | `[virtual]`

| Enable/disable text bolding.

virtual void vtkTextProperty::BoldOn | ( |  | ) | `[virtual]`

| Enable/disable text bolding.

virtual void vtkTextProperty::BoldOff | ( |  | ) | `[virtual]`

| Enable/disable text bolding.

virtual void vtkTextProperty::SetItalic | ( | int |  | ) | `[virtual]`

| Enable/disable text italic.

virtual int vtkTextProperty::GetItalic | ( |  | ) | `[virtual]`

| Enable/disable text italic.

virtual void vtkTextProperty::ItalicOn | ( |  | ) | `[virtual]`

| Enable/disable text italic.

virtual void vtkTextProperty::ItalicOff | ( |  | ) | `[virtual]`

| Enable/disable text italic.

virtual void vtkTextProperty::SetShadow | ( | int |  | ) | `[virtual]`

| Enable/disable text shadows.

virtual int vtkTextProperty::GetShadow | ( |  | ) | `[virtual]`

| Enable/disable text shadows.

virtual void vtkTextProperty::ShadowOn | ( |  | ) | `[virtual]`

| Enable/disable text shadows.

virtual void vtkTextProperty::ShadowOff | ( |  | ) | `[virtual]`

| Enable/disable text shadows.

virtual void vtkTextProperty::SetAntiAliasing | ( | int |  | ) | `[virtual]`

| Enable/disable the local aliasing hint.

virtual int vtkTextProperty::GetAntiAliasing | ( |  | ) | `[virtual]`

| Enable/disable the local aliasing hint.

virtual void vtkTextProperty::AntiAliasingOn | ( |  | ) | `[virtual]`

| Enable/disable the local aliasing hint.

virtual void vtkTextProperty::AntiAliasingOff | ( |  | ) | `[virtual]`

| Enable/disable the local aliasing hint.

int vtkTextProperty::GetGlobalAntiAliasing | ( |  | ) | `[static]`

| Set/Get the global antialiasing hint. Control whether to *globally* force text antialiasing (ALL), disable antialiasing (NONE) or allow antialising depending on the per-object AntiAliasing attribute (SOME).

void vtkTextProperty::SetGlobalAntiAliasing | ( | int | val | ) | `[static]`

| Set/Get the global antialiasing hint. Control whether to *globally* force text antialiasing (ALL), disable antialiasing (NONE) or allow antialising depending on the per-object AntiAliasing attribute (SOME). Referenced by SetGlobalAntiAliasingToAll(), SetGlobalAntiAliasingToNone(), and SetGlobalAntiAliasingToSome().

void vtkTextProperty::SetGlobalAntiAliasingToSome | ( |  | ) | `[inline, static]`

| Set/Get the global antialiasing hint. Control whether to *globally* force text antialiasing (ALL), disable antialiasing (NONE) or allow antialising depending on the per-object AntiAliasing attribute (SOME). Definition at line 127 of file vtkTextProperty.h. References SetGlobalAntiAliasing(), and VTK_TEXT_GLOBAL_ANTIALIASING_SOME.

void vtkTextProperty::SetGlobalAntiAliasingToNone | ( |  | ) | `[inline, static]`

| Set/Get the global antialiasing hint. Control whether to *globally* force text antialiasing (ALL), disable antialiasing (NONE) or allow antialising depending on the per-object AntiAliasing attribute (SOME). Definition at line 129 of file vtkTextProperty.h. References SetGlobalAntiAliasing(), and VTK_TEXT_GLOBAL_ANTIALIASING_NONE.

void vtkTextProperty::SetGlobalAntiAliasingToAll | ( |  | ) | `[inline, static]`

| Set/Get the global antialiasing hint. Control whether to *globally* force text antialiasing (ALL), disable antialiasing (NONE) or allow antialising depending on the per-object AntiAliasing attribute (SOME). Definition at line 131 of file vtkTextProperty.h. References SetGlobalAntiAliasing(), and VTK_TEXT_GLOBAL_ANTIALIASING_ALL.

virtual void vtkTextProperty::SetJustification | ( | int |  | ) | `[virtual]`

| Set/Get the horizontal justification to left (default), centered, or right.

virtual int vtkTextProperty::GetJustification | ( |  | ) | `[virtual]`

| Set/Get the horizontal justification to left (default), centered, or right.

void vtkTextProperty::SetJustificationToLeft | ( |  | ) | `[inline]`

| Set/Get the horizontal justification to left (default), centered, or right. Definition at line 140 of file vtkTextProperty.h. References VTK_TEXT_LEFT.

void vtkTextProperty::SetJustificationToCentered | ( |  | ) | `[inline]`

| Set/Get the horizontal justification to left (default), centered, or right. Definition at line 142 of file vtkTextProperty.h. References VTK_TEXT_CENTERED.

void vtkTextProperty::SetJustificationToRight | ( |  | ) | `[inline]`

| Set/Get the horizontal justification to left (default), centered, or right. Definition at line 144 of file vtkTextProperty.h. References VTK_TEXT_RIGHT.

char * vtkTextProperty::GetJustificationAsString | ( |  | ) | `[inline]`

| Set/Get the horizontal justification to left (default), centered, or right. Definition at line 224 of file vtkTextProperty.h. References Justification, VTK_TEXT_CENTERED, VTK_TEXT_LEFT, and VTK_TEXT_RIGHT.

virtual void vtkTextProperty::SetVerticalJustification | ( | int |  | ) | `[virtual]`

| Set/Get the vertical justification to bottom (default), middle, or top.

virtual int vtkTextProperty::GetVerticalJustification | ( |  | ) | `[virtual]`

| Set/Get the vertical justification to bottom (default), middle, or top.

void vtkTextProperty::SetVerticalJustificationToBottom | ( |  | ) | `[inline]`

| Set/Get the vertical justification to bottom (default), middle, or top. Definition at line 154 of file vtkTextProperty.h. References VTK_TEXT_BOTTOM.

void vtkTextProperty::SetVerticalJustificationToCentered | ( |  | ) | `[inline]`

| Set/Get the vertical justification to bottom (default), middle, or top. Definition at line 156 of file vtkTextProperty.h. References VTK_TEXT_CENTERED.

void vtkTextProperty::SetVerticalJustificationToTop | ( |  | ) | `[inline]`

| Set/Get the vertical justification to bottom (default), middle, or top. Definition at line 158 of file vtkTextProperty.h. References VTK_TEXT_TOP.

char * vtkTextProperty::GetVerticalJustificationAsString | ( |  | ) | `[inline]`

| Set/Get the vertical justification to bottom (default), middle, or top. Definition at line 241 of file vtkTextProperty.h. References VerticalJustification, VTK_TEXT_BOTTOM, VTK_TEXT_CENTERED, and VTK_TEXT_TOP.

virtual void vtkTextProperty::SetLineOffset | ( | float |  | ) | `[virtual]`

| These methods can be used to control the spacing and placement of text (in the vertical direction). LineOffset is a vertical offset (measured in pixels); LineSpacing is the spacing between lines, expressed as a text height multiplication factor.

virtual float vtkTextProperty::GetLineOffset | ( |  | ) | `[virtual]`

| These methods can be used to control the spacing and placement of text (in the vertical direction). LineOffset is a vertical offset (measured in pixels); LineSpacing is the spacing between lines, expressed as a text height multiplication factor.

virtual void vtkTextProperty::SetLineSpacing | ( | float |  | ) | `[virtual]`

| These methods can be used to control the spacing and placement of text (in the vertical direction). LineOffset is a vertical offset (measured in pixels); LineSpacing is the spacing between lines, expressed as a text height multiplication factor.

virtual float vtkTextProperty::GetLineSpacing | ( |  | ) | `[virtual]`

| These methods can be used to control the spacing and placement of text (in the vertical direction). LineOffset is a vertical offset (measured in pixels); LineSpacing is the spacing between lines, expressed as a text height multiplication factor.

void vtkTextProperty::ShallowCopy | ( | vtkTextProperty * | tprop | ) |

| Shallow copy of a text property.

void vtkTextProperty::SetFaceFileName | ( | const char * |  | ) |

| Specify a face file name (unsupported feature). A face filename will override the font family as well as the bold and italic attributes.

virtual char* vtkTextProperty::GetFaceFileName | ( |  | ) | `[virtual]`

| Specify a face file name (unsupported feature). A face filename will override the font family as well as the bold and italic attributes.

## Member Data Documentation

float vtkTextProperty::Color[3]`[protected]`

| Definition at line 188 of file vtkTextProperty.h.

float vtkTextProperty::Opacity`[protected]`

| Definition at line 189 of file vtkTextProperty.h.

int vtkTextProperty::FontFamily`[protected]`

| Definition at line 190 of file vtkTextProperty.h. Referenced by GetFontFamilyAsString().

int vtkTextProperty::FontSize`[protected]`

| Definition at line 191 of file vtkTextProperty.h.

int vtkTextProperty::Bold`[protected]`

| Definition at line 192 of file vtkTextProperty.h.

int vtkTextProperty::Italic`[protected]`

| Definition at line 193 of file vtkTextProperty.h.

int vtkTextProperty::Shadow`[protected]`

| Definition at line 194 of file vtkTextProperty.h.

int vtkTextProperty::AntiAliasing`[protected]`

| Definition at line 195 of file vtkTextProperty.h.

int vtkTextProperty::Justification`[protected]`

| Definition at line 196 of file vtkTextProperty.h. Referenced by GetJustificationAsString().

int vtkTextProperty::VerticalJustification`[protected]`

| Definition at line 197 of file vtkTextProperty.h. Referenced by GetVerticalJustificationAsString().

float vtkTextProperty::LineOffset`[protected]`

| Definition at line 198 of file vtkTextProperty.h.

float vtkTextProperty::LineSpacing`[protected]`

| Definition at line 199 of file vtkTextProperty.h.

char* vtkTextProperty::FaceFileName`[protected]`

| Definition at line 200 of file vtkTextProperty.h.

The documentation for this class was generated from the following file:

- Rendering/vtkTextProperty.h